@use '../colors' as *;
@use '../spacing' as *;
@use '../shared/markdown' as *;
@use '../components/postcard' as *;
@use '../components/pagination' as *;
@use '../components/tagcollection' as *;

.index-segment {
  margin: $DEFAULT-SPACING 0 $DEFAULT-SPACING * 2 0;
  padding: $DEFAULT-SPACING * 0.5;
  border-radius: 15px;
  background-color: $BACKGROUND-SECONDARY-TRANSPARENT;
}

.index-segment-post-excerpt {
  line-height: 1.6em;
  font-size: 0.975em;
  margin: 2 * $DEFAULT-SPACING $DEFAULT-SPACING $DEFAULT-SPACING $DEFAULT-SPACING;
}

.readmore-button {
  display: block;
  font-size: 1.05em;
  font-weight: 500;
  color: $FONT-PRIMARY;
  text-decoration: none;
  border-radius: $DEFAULT-SPACING;
  text-align: center;
  width: 150px;
  height: 3 * $DEFAULT-SPACING;
  line-height:  3 * $DEFAULT-SPACING;
  margin-left: auto;
  margin-right: $DEFAULT-SPACING;
  margin-bottom: $DEFAULT-SPACING;
  border: 1px solid $FOREGROUND-PRIMARY;

  transition: 
    font-size 0.25s, 
    font-weight 0.25s, 
    background-color 0.5s;
}

.readmore-button:hover {
  color: $FOREGROUND-PRIMARY;
  font-size: 1em;
  font-weight: 600;
  background-color: $BACKGROUND-HIGHLIGHT;
}